All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
PXMLData Class Reference

`#include <pxml.h>`

Inheritance diagram for PXMLData:

## Public Member Functions

| PXMLData (PXMLElement *parent, const PString &data)
| PXMLData (PXMLElement *parent, const char *data, int len)
PBoolean | IsElement () const
void | SetString (const PString &str, bool dirty=true)
PString | GetString () const
void | Output (ostream &strm, const PXMLBase &xml, int indent) const
PXMLObject * | Clone (PXMLElement *parent) const
Public Member Functions inherited from PXMLObject
| PXMLObject (PXMLElement *par)
PXMLElement * | GetParent () const
PXMLObject * | GetNextObject () const
void | SetParent (PXMLElement *newParent)
PString | AsString () const
void | SetDirty ()
bool | IsDirty () const
Public Member Functions inherited from PObject
virtual | ~PObject ()
virtual PObject * | Clone () const
| Create a copy of the class on the heap. More...
virtual PINDEX | HashFunction () const
| This function yields a hash value required by the `PDictionary` class. More...
virtual const char * | GetClass (unsigned ancestor=0) const
| Get the current dynamic type of the object instance. More...
PBoolean | IsClass (const char *cls) const
virtual PBoolean | InternalIsDescendant (const char *clsName) const
| Determine if the dynamic type of the current instance is a descendent of the specified class. More...
virtual Comparison | Compare (const PObject &obj) const
| Compare the two objects and return their relative rank. More...
virtual Comparison | CompareObjectMemoryDirect (const PObject &obj) const
| Determine the byte wise comparison of two objects. More...
bool | operator== (const PObject &obj) const
| Compare the two objects. More...
bool | operator!= (const PObject &obj) const
| Compare the two objects. More...
bool | operator< (const PObject &obj) const
| Compare the two objects. More...
bool | operator> (const PObject &obj) const
| Compare the two objects. More...
bool | operator<= (const PObject &obj) const
| Compare the two objects. More...
bool | operator>= (const PObject &obj) const
| Compare the two objects. More...
virtual void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream. More...
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream. More...

## Protected Attributes

PString | value
Protected Attributes inherited from PXMLObject
PXMLElement * | parent
bool | dirty

## Additional Inherited Members

Public Types inherited from PObject
enum | Comparison { LessThan = -1, EqualTo = 0, GreaterThan = 1 }
| Result of the comparison operation performed by the `Compare()` function. More...
Static Public Member Functions inherited from PObject
static const char * | Class ()
| Get the name of the class as a C string. More...
static Comparison | InternalCompareObjectMemoryDirect (const PObject *obj1, const PObject *obj2, PINDEX size)
| Internal function caled from CompareObjectMemoryDirect() More...
Protected Member Functions inherited from PObject
| PObject ()
| Constructor for PObject, made protected so cannot ever create one on its own. More...

## Constructor & Destructor Documentation

PXMLData::PXMLData | ( | PXMLElement * | parent,
|  | const PString & | data
| ) |  |

PXMLData::PXMLData | ( | PXMLElement * | parent,
|  | const char * | data,
|  | int | len
| ) |  |

## Member Function Documentation

PXMLObject* PXMLData::Clone | ( | PXMLElement * | parent | ) | const

virtual

Implements PXMLObject.

PString PXMLData::GetString | ( |  | ) | const

inline

References value.

PBoolean PXMLData::IsElement | ( |  | ) | const

inline virtual

Implements PXMLObject.

void PXMLData::Output | ( | ostream & | strm,
|  | const PXMLBase & | xml,
|  | int | indent
| ) |  | const

virtual

Implements PXMLObject.

void PXMLData::SetString | ( | const PString & | str,
|  | bool | dirty = `true`
| ) |  |

## Member Data Documentation

PString PXMLData::value

protected

Referenced by GetString().

The documentation for this class was generated from the following file:

- pxml.h